# MxdTracker

Mxd Tracker helps you find tracking information for MXD shipments. It's easy to use. Just call ```MxdTracker::Mxd.shipment_status```
## Installation

Add this line to your application's Gemfile:

```ruby
gem 'mxd_tracker'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mxd_tracker

## Usage

The shipment_status method expects a zipcode, and either a tracking\_number, phone\_number, order\_number, or waybill\_number as a hash.


	  tracking_hash = { zip_code: "34238", waybill_number: "12345" }
	  MxdTracker::Mxd.shipment_status(tracking_hash) =>
	  	{
	  		"error" => nil,
	  		"current_status" => "Picked up date: 2015-07-31 04:00:00 UTC",
	  		"waybill_number" => "12345",
	  		"tracking_number" => "1111111",
	  		"order_number" => "D58500",
	  		"progress_details" => [
	  			{
	  				"date"=>"07/31/15",
	  				"activity"=>"SHIPMENT DISPATCHED FROM ORIGIN",
	  				"location"=>"WILSON, NC"
	  				}
	  		],
	  		"pick_up_address"=>"3905 Airport Dr NW WILSON, NC 27896",
	  		"delivery_address"=>"4283 Express Lane Small Town, CA 55555"
	  	}


## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/dotandbo/mxd-tracking. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

